Subject: bug#69952: [PATCH] Support pdumping compiled queries by dumping their source

From: Yuan Fu <[email-masked]>
Date: Tue, 21 May 2024 23:36:47 -0700

> On May 18, 2024, at 1:38 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> Ping!
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Sat, 4 May 2024 14:29:06 -0700
>> Cc: [email-masked],
>> [email-masked],
>> [email-masked]
>> 
>> 
>> 
>>> On May 4, 2024, at 2:39 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>>> From: Yuan Fu <[email-masked]>
>>>> Date: Sun, 21 Apr 2024 23:25:10 -0700
>>>> Cc: [email-masked],
>>>> [email-masked],
>>>> [email-masked]
>>>> 
>>>>> On Apr 21, 2024, at 11:18 PM, Eli Zaretskii <[email-masked]> wrote:
>>>>> 
>>>>> 
>>>>> We cannot safely signal an error at that point, I think, so just
>>>>> keeping the query as a string should do, as it will then signal an
>>>>> error at run time when that query is used, is that right?
>>>> 
>>>> Yes, most likely a function-undefined signal, since all the treesit.c functions like treesit-query-capture or treesit-query-compile will be nonexistent. And usually the Lisp program trying to use the query would check for tree-sitter availability with treesit-available-p before trying to use any tree-sitter functions; so that signal will be usually avoided as well.
>>> 
>>> Can you suggest such an addition to the patch?
>> 
>> Let me take a look.
>> 
>> Yuan

Am I missing something? It seems the patch doesn’t include anything about loading a dumped query? I guess that’s the addition you’re talking about? If I want to add a special loader, where should I start?

Yuan